Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Interface Model.SlotID

Enclosing interface:
  Model

    public static interface Model.SlotID

FrameID's for system slots

Author:
  Ray Fergerson

Field Summary
`static FrameID` | `ANNOTATED_INSTANCE`
`static FrameID` | `ANNOTATION_TEXT`
`static FrameID` | `ASSOCIATED_FACET`
`static FrameID` | `ASSOCIATED_SLOT`
`static FrameID` | `CARDINALITY`
`static FrameID` | `COLLECTION_TYPE`
`static FrameID` | `CONSTRAINTS`
`static FrameID` | `CREATION_TIMESTAMP`
`static FrameID` | `CREATOR`
`static FrameID` | `DEFAULTS`
`static FrameID` | `DIRECT_DOMAIN`
`static FrameID` | `DIRECT_INSTANCES`
`static FrameID` | `DIRECT_SUBCLASSES`
`static FrameID` | `DIRECT_SUBSLOTS`
`static FrameID` | `DIRECT_SUPERCLASSES`
`static FrameID` | `DIRECT_SUPERSLOTS`
`static FrameID` | `DIRECT_TEMPLATE_SLOTS`
`static FrameID` | `DIRECT_TYPE` Deprecated. Use #DIRECT_TYPES
`static FrameID` | `DIRECT_TYPES`
`static FrameID` | `DOCUMENTATION`
`static FrameID` | `DOMAIN`
`static FrameID` | `FROM`
`static FrameID` | `INVERSE`
`static FrameID` | `MAXIMUM_CARDINALITY`
`static FrameID` | `MINIMUM_CARDINALITY`
`static FrameID` | `MODIFICATION_TIMESTAMP`
`static FrameID` | `MODIFIER`
`static FrameID` | `NAME`
`static FrameID` | `NOT_SAME_VALUES`
`static FrameID` | `NUMERIC_MAXIMUM`
`static FrameID` | `NUMERIC_MINIMUM`
`static FrameID` | `PAL_DESCRIPTION`
`static FrameID` | `PAL_NAME`
`static FrameID` | `PAL_RANGE`
`static FrameID` | `PAL_STATEMENT`
`static FrameID` | `ROLE`
`static FrameID` | `SAME_VALUES`
`static FrameID` | `SOME_VALUES`
`static FrameID` | `SUBSET_OF_VALUES`
`static FrameID` | `TO`
`static FrameID` | `VALUE_TYPE`
`static FrameID` | `VALUES`

Field Detail

### DOCUMENTATION

    static final FrameID DOCUMENTATION

### DOMAIN

    static final FrameID DOMAIN

### NAME

    static final FrameID NAME

### ROLE

    static final FrameID ROLE

### DIRECT_SUPERCLASSES

    static final FrameID DIRECT_SUPERCLASSES

### DIRECT_SUBCLASSES

    static final FrameID DIRECT_SUBCLASSES

### DIRECT_TYPES

    static final FrameID DIRECT_TYPES

### DIRECT_TYPE

    static final FrameID DIRECT_TYPE

  Deprecated. Use #DIRECT_TYPES

### DIRECT_INSTANCES

    static final FrameID DIRECT_INSTANCES

### DIRECT_TEMPLATE_SLOTS

    static final FrameID DIRECT_TEMPLATE_SLOTS

### ASSOCIATED_FACET

    static final FrameID ASSOCIATED_FACET

### CONSTRAINTS

    static final FrameID CONSTRAINTS

### DEFAULTS

    static final FrameID DEFAULTS

### VALUE_TYPE

    static final FrameID VALUE_TYPE

### INVERSE

    static final FrameID INVERSE

### CARDINALITY

    static final FrameID CARDINALITY

### MAXIMUM_CARDINALITY

    static final FrameID MAXIMUM_CARDINALITY

### MINIMUM_CARDINALITY

    static final FrameID MINIMUM_CARDINALITY

### SAME_VALUES

    static final FrameID SAME_VALUES

### NOT_SAME_VALUES

    static final FrameID NOT_SAME_VALUES

### SUBSET_OF_VALUES

    static final FrameID SUBSET_OF_VALUES

### NUMERIC_MINIMUM

    static final FrameID NUMERIC_MINIMUM

### NUMERIC_MAXIMUM

    static final FrameID NUMERIC_MAXIMUM

### SOME_VALUES

    static final FrameID SOME_VALUES

### COLLECTION_TYPE

    static final FrameID COLLECTION_TYPE

### PAL_STATEMENT

    static final FrameID PAL_STATEMENT

### PAL_DESCRIPTION

    static final FrameID PAL_DESCRIPTION

### PAL_NAME

    static final FrameID PAL_NAME

### PAL_RANGE

    static final FrameID PAL_RANGE

### VALUES

    static final FrameID VALUES

### DIRECT_SUBSLOTS

    static final FrameID DIRECT_SUBSLOTS

### DIRECT_SUPERSLOTS

    static final FrameID DIRECT_SUPERSLOTS

### ANNOTATED_INSTANCE

    static final FrameID ANNOTATED_INSTANCE

### ANNOTATION_TEXT

    static final FrameID ANNOTATION_TEXT

### CREATOR

    static final FrameID CREATOR

### CREATION_TIMESTAMP

    static final FrameID CREATION_TIMESTAMP

### ASSOCIATED_SLOT

    static final FrameID ASSOCIATED_SLOT

### MODIFIER

    static final FrameID MODIFIER

### MODIFICATION_TIMESTAMP

    static final FrameID MODIFICATION_TIMESTAMP

### FROM

    static final FrameID FROM

### TO

    static final FrameID TO

### DIRECT_DOMAIN

    static final FrameID DIRECT_DOMAIN

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.